> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get Connect log entry

GET https://demo.docusign.net/restapi/v2/accounts/{accountId}/connect/logs/{logId}

Retrieves the specified Connect log entry for your account.

###### Note: The `enableLog` setting in the Connect configuration must be set to true to enable logging. If logging is not enabled, then no log entries are recorded. 

Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/connect/connectevents/get

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account id GUID.
- `logId` (string, required) — The ID of the connect log entry

### Query parameters

- `additional_info` (string, optional) — When true, the connectDebugLog information is included in the response.

## Response

### 200

Successful response.

- `accountId` (string, optional) — The account ID associated with the envelope.
- `configUrl` (string, optional) — The web address of the listener or Retrieving Service end point for Connect.
- `connectDebugLog` (list of connectDebugLog, optional) — A complex element containing information about the Connect configuration, error details, date/time, description and payload. This is only included in the response if the query additional_info=true is used.
- `connectId` (string, optional) — The identifier for the Connect configuration that failed. If an account has multiple Connect configurations, this value is used to look up the Connect configuration for the failed post.
- `created` (string, optional) — The date and time the entry was created.
- `email` (string, optional) — The email that sent the envelope.
- `envelopeId` (string, optional) — The envelope ID of the envelope status that failed to post.
- `error` (string, optional) — The error that caused the Connect post to fail.
- `failureId` (string, optional) — The failure log ID for the failure.
- `failureUri` (string, optional) — The URI for the failure.
- `lastTry` (string, optional) — The date and time the last attempt to post.
- `logId` (string, optional) — The Connect log ID for the entry.
- `logUri` (string, optional) — The URI for the log item.
- `retryCount` (string, optional) — The number of times the Connect post has been retried.
- `retryUri` (string, optional) — The UEI to retry to publish the Connect failure.
- `status` (string, optional) — The new envelope status for the failed Connect post. The possible values are: Any, Voided, Created, Deleted, Sent, Delivered, Signed, Completed, Declined, TimedOut, Template, or Processing.
- `subject` (string, optional) — The envelope subject.
- `userName` (string, optional) — The name of the envelope sender.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### connectDebugLog

- `connectConfig` (string, optional)
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `eventDateTime` (string, optional)
- `eventDescription` (string, optional)
- `payload` (string, optional)

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Examples

**Response**

```json
{
  "accountId": "string",
  "configUrl": "string",
  "connectDebugLog": [
    {
      "connectConfig": "string",
      "errorDetails": {
        "errorCode": "string",
        "message": "string"
      },
      "eventDateTime": "string",
      "eventDescription": "string",
      "payload": "string"
    }
  ],
  "connectId": "string",
  "created": "string",
  "email": "string",
  "envelopeId": "string",
  "error": "string",
  "failureId": "string",
  "failureUri": "string",
  "lastTry": "string",
  "logId": "string",
  "logUri": "string",
  "retryCount": "string",
  "retryUri": "string",
  "status": "string",
  "subject": "string",
  "userName": "string"
}
```